package wbmas1.utils;

import wbmas1.model.Sample;

import java.io.*;
import java.util.ArrayList;
import java.util.List;

public class FileUtils {

    public static List<Sample> read(String fileName) {
        System.out.println("Citam podatke iz fajla: " + fileName);
        ArrayList<Sample> lista = new ArrayList<>();
        try {
            FileInputStream fis = new FileInputStream(fileName);
            InputStreamReader isr = new InputStreamReader(fis, "UTF8");
            BufferedReader br = new BufferedReader(isr);
            String line = null;
            while ((line = br.readLine()) != null) {
                line = line.trim();
                String[] delovi = line.split(",");
                Sample sample = new Sample(
                        Double.parseDouble(delovi[0]),
                        Double.parseDouble(delovi[1]),
                        Double.parseDouble(delovi[2]));
                lista.add(sample);
            }
            br.close();
        } catch (Exception ex) {

        }
        return lista;
    }

    public static void write(List<Sample> samples, String fileName) {
        try {
            FileOutputStream fis = new FileOutputStream(fileName);
            OutputStreamWriter osw = new OutputStreamWriter(fis, "UTF8");
            BufferedWriter bw = new BufferedWriter(osw);

            for (Sample s: samples) {
                bw.write(Double.toString(s.getNapon()));
                bw.write(",");
                bw.write(Double.toString(s.getStruja()));
                bw.write(",");
                bw.write(Double.toString(s.getSnaga()));
                bw.write("\n");
            }
            bw.close();
        } catch (Exception ex) {
        }
    }
}
